Bug 56524 - rpm --rebuilddb segfaults with error
rpm --rebuilddb segfaults with error
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
http://miscellaneous.net/var-lib-rpm-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-20 11:13 EST by chrism
Modified: 2012-02-08 08:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-26 09:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chrism 2001-11-20 11:13:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
rpm --rebuilddb segfaulst with following error
error: rpmdb: damaged header instance #755 retrieved, skipping.
Segmentation fault
rpms seem to install but will not verify

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm --rebuilddb
2.
3.
	

Actual Results:  it runs for a while then produces the forementioned error

Expected Results:  should have returned with no output


Additional info:

rpm -qa produces the same thing after printing most of the database
contents.  shorted output is below:

kernel-doc-2.4.9-7
error: rpmdb: damaged header instance #755 retrieved, skipping.
openssh-clients-3.0.1p1-1
Segmentation fault
Comment 1 Jeff Johnson 2001-11-23 15:49:25 EST
Hmmm, the url for your database appears inaccessible.
Can you confirm? Thanks ...
Comment 2 chrism 2001-11-26 09:33:49 EST
Sorry, had a server issue this weekend and forgot to restart the webserver.

Should be accesssable now.

C
Comment 3 Jeff Johnson 2001-12-02 06:44:40 EST
Hmmm, your database is badly smashed. Here's the output of rpm -qa
after doing
    echo "%_dbi_config_Packages   %{_dbi_config}:lockdbfd:debug" >>
/etc/rpm/macros

I note carefully without further comment the 1st package in the listing.

Probably the best thing to do is re-install.

red-carpet-1.1.3-ximian.1
    Get Packages key (0x8054220,4) data (0x40318008,3712) "#711" 35000000 rc 0
libole2-0.2.3-ximian.2
    Get Packages key (0x8054220,4) data (0x40318008,15232) "#715" 35000000 rc 0
gphoto-0.4.3-ximian.5
    Get Packages key (0x8054220,4) data (0x40318008,30348) "#717" 33000000 rc 0
ximian-menus-1.4-ximian.4
    Get Packages key (0x8054220,4) data (0x40318008,7168) "#719" 35000000 rc 0
libgtop-devel-1.0.12-ximian.3
    Get Packages key (0x8054220,4) data (0x40318008,8196) "#721" 35000000 rc 0
pygnome-1.4.1-ximian.3
    Get Packages key (0x8054220,4) data (0x40318008,9324) "#723" 35000000 rc 0
gtop-1.0.13-ximian.1
    Get Packages key (0x8054220,4) data (0x40318008,2396) "#725" 35000000 rc 0
esound-devel-0.2.22-ximian.5
    Get Packages key (0x8054220,4) data (0x40318008,42096) "#745" 40000000 rc 0
glibc-2.2.4-19
    Get Packages key (0x8054220,4) data (0x40318008,104108) "#747" 38000000 rc
0kernel-doc-2.4.9-7
    Get Packages key (0x8054220,4) data (0x40318008,5092) "#755" 6873736e rc 0
error: rpmdb: damaged header instance #755 retrieved, skipping.
    Get Packages key (0x8054220,4) data (0x40318008,3608) "#757" 3b000000 rc 0
openssh-clients-3.0.1p1-1
    Get Packages key (0x8054220,4) data (0x40318008,8836) "#767" 38000000 rc 0
    Get Packages key (0x8054220,4) data (0x40318008,10536) "#780" 3b000000 rc 0
    Get Packages key (0x8054220,4) data (0x40318008,3100) "#782" 3b000000 rc 0
    Get Packages key (0x8054220,4) data (0x40318008,29660) "#786" 43000000 rc 0
    Get Packages key (0x8054220,4) data (0x40318008,6468) "#788" 40000000 rc 0
    Get Packages key (0x8054220,4) data (0x40318008,9904) "#790" 34000000 rc 0
    Get Packages key (0x8054220,4) data (0x40318008,7828) "#792" 34000000 rc 0
    Get Packages key (0x8054220,4) data (0x40318008,3928) "#794" 38000000 rc 0

Note You need to log in before you can comment on or make changes to this bug.